Public Types | Public Member Functions | Static Public Member Functions

# SEUInt64List Class Reference

SEUInt64List represents a list of integers. More...

`#include <skype-uint64-list.h>`

List of all members.

## Public Types
typedef unsigned long long | uint64
## Public Member Functions
| SEUInt64List ()
| SEUInt64List (const SEUInt64List &sl)
| ~SEUInt64List ()
SEUInt64List & | append (const uint64 i)
void | push_back (const uint64 &i)
uint64 | peek ()
size_t | size () const
uint64 & | operator[] (size_t index)
uint64 & | operator[] (size_t index) const
SEUInt64List & | operator= (const SEUInt64List &sl)
bool | contains (const uint64 val)
bool | remove_val (const uint64 val)
bool | remove_pos (const unsigned int pos)
int | find_pos (const uint64 val)
void | resize (const unsigned int new_size)
void | clear ()
## Static Public Member Functions
static SEUInt64List | split (const SEString &str, char sep, char esc= '\\')

## Detailed Description

SEUInt64List represents a list of integers.

The operator [] is supported, which can be used to go through the list.

Definition at line 13 of file skype-uint64-list.h.

## Member Typedef Documentation

typedef unsigned long long SEUInt64List::uint64

Definition at line 16 of file skype-uint64-list.h.

## Constructor & Destructor Documentation

SEUInt64List::SEUInt64List | ( |  | ) |

Creates an empty list of integers.

Definition at line 34 of file skype-uint64-list.cpp.

SEUInt64List::SEUInt64List | ( | const SEUInt64List & | sl | ) |

Constructs an implicitly shared copy of sl.

Definition at line 40 of file skype-uint64-list.cpp.

SEUInt64List::~SEUInt64List | ( |  | ) |

Destroys the list and frees the data if this is the last reference to the list.

Definition at line 46 of file skype-uint64-list.cpp.

## Member Function Documentation

SEUInt64List & SEUInt64List::append | ( | const uint64 | i | ) |

Appends an integer at the end of the list.

Definition at line 66 of file skype-uint64-list.cpp.

void SEUInt64List::clear | ( |  | ) |

Definition at line 450 of file skype-uint64-list.cpp.

References size().

bool SEUInt64List::contains | ( | const uint64 | val | ) |

Definition at line 363 of file skype-uint64-list.cpp.

References find_pos().

int SEUInt64List::find_pos | ( | const uint64 | val | ) |

Definition at line 351 of file skype-uint64-list.cpp.

References size().

SEUInt64List & SEUInt64List::operator= | ( | const SEUInt64List & | sl | ) |

Assigns a shallow copy of sl to this list and returns a reference to it. This is very fast because the list isn't actually copied.

Definition at line 188 of file skype-uint64-list.cpp.

SEUInt64List::uint64 & SEUInt64List::operator[] | ( | size_t | index | ) |

Returns the integer specified by its index.

Definition at line 174 of file skype-uint64-list.cpp.

uint64& SEUInt64List::operator[] | ( | size_t | index | ) | const`[inline]`

Definition at line 45 of file skype-uint64-list.h.

SEUInt64List::uint64 SEUInt64List::peek | ( |  | ) |

Removes the first element from the list and returns it.

Definition at line 111 of file skype-uint64-list.cpp.

void SEUInt64List::push_back | ( | const uint64 & | i | ) | `[inline]`

Definition at line 35 of file skype-uint64-list.h.

References append().

bool SEUInt64List::remove_pos | ( | const unsigned int | pos | ) |

Definition at line 376 of file skype-uint64-list.cpp.

References size().

bool SEUInt64List::remove_val | ( | const uint64 | val | ) |

Definition at line 368 of file skype-uint64-list.cpp.

References find_pos(), and remove_pos().

void SEUInt64List::resize | ( | const unsigned int | new_size | ) |

Definition at line 408 of file skype-uint64-list.cpp.

References clear(), and size().

size_t SEUInt64List::size | ( |  | ) | const

Returns the size of the list.

Definition at line 136 of file skype-uint64-list.cpp.

SEUInt64List SEUInt64List::split | ( | const SEString & | str,
|  | char | sep,
|  | char | esc = `'\\'` |
| ) |  |  | `[static]`

Splits a string in a list of integer using the separaror sep.

Definition at line 295 of file skype-uint64-list.cpp.

References append(), SEString::length(), SEString::substr(), and SEString::toUInt64().

The documentation for this class was generated from the following files:

- skype-uint64-list.h
- skype-uint64-list.cpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines

(c) Skype Technologies S.A. Confidential/Proprietary

Last updated: Fri Mar 16 2012